"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MapTransformer {
    constructor(transformer) {
        this.transformer = transformer;
    }
    process(observable, context) {
        return observable.flatMap(o => this.transformer.process(o, context));
    }
}
exports.MapTransformer = MapTransformer;
